## org.h2.command.dml
Class RunScriptCommand

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.dml.ScriptBase
              org.h2.command.dml.RunScriptCommand

All Implemented Interfaces:
  DataHandler

    public class RunScriptCommand

extends ScriptBase

This class represents the statement RUNSCRIPT

Field Summary

Fields inherited from class org.h2.command.dml.ScriptBase
`in, out`

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`RunScriptCommand(Session session)`

Method Summary
`ResultInterface` `queryMeta()` Get an empty result set containing the meta data.
`void` `setCharset(java.lang.String charset)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.dml.ScriptBase
`checkPowerOff, checkWritingAllowed, freeUpDiskSpace, getDatabasePath, getFileName, getLobCompressionAlgorithm, getLobConnection, getLobFileListCache, getLobStorage, getLobSyncObject, getMaxLengthInplaceLob, getTempFileDeleter, isTransactional, needRecompile, openFile, setCipher, setCompressionAlgorithm, setFileNameExpr, setPassword`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, isReadOnly, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RunScriptCommand

    public RunScriptCommand(Session session)

Method Detail

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### setCharset

    public void setCharset(java.lang.String charset)

### queryMeta

    public ResultInterface queryMeta()

  Description copied from class: `Prepared`
  Get an empty result set containing the meta data.

  Specified by:
    `queryMeta` in class `Prepared`
  Returns:
    the result set